$!-----------------------------------------------------------------------------
$! Builds HTD document for HTML, PostScript and Bookreader.
$!-----------------------------------------------------------------------------
$! WRITE SYS$OUTPUT "Building for Bookreader"
$! DOC HTD MANUAL.ONLINE BOOKREADER
$! SET PROT=W:RE HTD.DECW$BOOK;*
$ IF P1 .EQS. "POSTSCRIPT"
$ THEN
$    WRITE SYS$OUTPUT "Building PostScript"
$    DOC HTD MANUAL PS /CONT
$    SET PROT=W:RE HTD.PS;*
$ ELSE
$!   (designed around "AFPL Ghostscript 8.54 (2006-05-17)")
$    WRITE SYS$OUTPUT "Building PDF (via PostScript, requires GhostScript)"
$    DOC HTD MANUAL PS /CONT
$    TMPDIR = "[]"
$    GS "-sDEVICE=pdfwrite" "-sOutputFile=htd.pdf" "-dNOPAUSE" "-dBATCH" HTD.PS
$    DELETE /LOG HTD.PS;*
$    DELETE /LOG _TEMP_*.*;*
$    SET PROT=W:RE HTD.PDF;*
$ ENDIF
$! WRITE SYS$OUTPUT "Building Text"
$! DOC HTD MANUAL MAIL /CONT
$! SET PROT=W:RE HTD*.TXT;*
$ WRITE SYS$OUTPUT "Building HTML"
$ SDM2HTM /FRAMED /INDEX HTD
$ SET PROT=W:RE *.HTML;*
$ DELETE *.TEX;*
$ DELETE *.DVI*;*
$!-----------------------------------------------------------------------------
