$!-----------------------------------------------------------------------------
$! Builds SDM2HTM document for HTML, PostScript and Bookreader.
$!-----------------------------------------------------------------------------
$! WRITE SYS$OUTPUT "Building for Bookreader"
$! DOC SDM2HTM MANUAL.ONLINE BOOKREADER
$! SET PROT=W:RE SDM2HTM.DECW$BOOK;*
$ IF P1 .EQS. "POSTSCRIPT"
$ THEN
$    WRITE SYS$OUTPUT "Building PostScript"
$    DOC SDM2HTM MANUAL PS /CONT
$    SET PROT=W:RE SDM2HTM.PS;*
$ ELSE
$!   (designed around "AFPL Ghostscript 8.54 (2006-05-17)")
$    WRITE SYS$OUTPUT "Building PDF (via PostScript, requires GhostScript)"
$    DOC SDM2HTM MANUAL PS /CONT
$    TMPDIR = "[]"
$    GS "-sDEVICE=pdfwrite" "-sOutputFile=sdm2htm.pdf" "-dNOPAUSE" "-dBATCH" SDM2HTM.PS
$    DELETE /LOG SDM2HTM.PS;*
$    SET PROT=W:RE SDM2HTM.PDF;*
$ ENDIF
$ WRITE SYS$OUTPUT "Building HTML"
$ SDM2HTM /FRAMED /INDEX SDM2HTM
$ SET PROT=W:RE *.HTML;*
$ DELETE *.TEX;*
$ DELETE *.DVI;*
$!-----------------------------------------------------------------------------
